﻿.k-form-legend {
    /* form legend text for bootstrap is smaller, unstyled text. By variables it is made larger but no font-weight variable is available.*/
    font-weight: 600;
}


.k-step-link {
    /* make the stepper links more obvious that they are clickable as they are used here for non-linear navigation */
    cursor: pointer;
}


.k-step-list-horizontal .k-step-link, .k-stepper .k-step-label .k-step-text {
    /* allow long items, like 'announcement templates' that get truncated at smaller screen sizes */
    max-width: 100% !important;
}


/* fix popup and absolute positioning causing scrolling - https://www.telerik.com/blazor-ui/documentation/knowledge-base/common-popup-causes-scroll-on-show */
html, body {
    /* container is full viewport size and un-scrollable */
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    overflow: hidden;
}

.layout-container {
    /* content area is full size and allows scrolling */
    height: 100%;
    overflow: auto;
}

@media print {
    /* container overflows for pagination */
    html, body {
        height: unset !important;
        min-height: unset !important;
        max-height: unset !important;
        overflow: unset !important;
    }

    /* content area overflows */
    .layout-container {
        height: unset !important;
        overflow: visible;
    }
}
